@import "../../../colors.scss";

.main {
  padding: 40px 0;
  overflow: hidden;
  box-sizing: border-box;
}

.contactsList {
  border-right: solid 2px $accent;
  height: 100%;
  display: flex;
  flex-direction: column;
}

.noContacts {
  padding: 20px;
}

.contact {
  padding: 0 20px;

  .wrapper {
    border-top: solid 2px $accent;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
  }

  .userData {
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    padding: 15px 0;

    &:hover {
      color: $green !important;
      cursor: pointer;
    }
  }

  .icons {
    margin-left: 50px;

    .deleteIcon {
      width: 20px;
      height: 20px;

      &:hover {
        cursor: pointer;

        path {
          fill: $green;
        }
      }
    }
  }
}

.name {
  font-family: "JetBrainsMono-Bold", monospace;
  font-size: 20px;
}

.user {
  opacity: 0.5;
  font-size: 18px;
}

.message {
  margin-top: 0.5rem;
  font-size: 14px;
  opacity: 0.8;
  font-family: "JetBrainsMono-Light", monospace;
}

.textOverflow {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.contactModal {
  padding: 1rem;
  width: 30rem;

  div {
    display: flex;
    column-gap: 2rem;
    justify-content: center;
    margin-top: 2rem;
  }

  button {
    cursor: pointer;
    border: none;
    outline: none;
    background: transparent;
    color: $white;
    font-family: "JetBrainsMono-Regular", monospace;
    font-size: 1.2rem;

    &:hover {
      color: $green;
    }
  }
}

.header {
  display: flex;
  flex-direction: column;
  padding: 0 20px;

  .title {
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: space-between;
    align-items: center;
  }

  .conversationSearch {
    background-color: $secondary;
    border: solid 2px $accentDark;
    padding: 5px;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    color: $white;
    font-family: "JetBrainsMono-Light", monospace;
    font-size: 1rem;
  }
}

.addContactModal {
  padding: 1rem;
  width: 30rem;

  p {
    text-align: center;
  }

  div {
    display: flex;
    column-gap: 2rem;
    justify-content: center;
    margin-top: 2rem;
  }

  input {
    margin-top: 1rem;
    display: block;
    box-sizing: border-box;
    width: 100%;
    background-color: $secondary;
    border: solid 2px $accentDark;
    padding: 5px;
    color: $white;
    font-family: "JetBrainsMono-Light", monospace;
    font-size: 1rem;
  }

  button {
    cursor: pointer;
    border: none;
    outline: none;
    background: transparent;
    color: $white;
    font-family: "JetBrainsMono-Regular", monospace;
    font-size: 1.2rem;

    &:hover {
      color: $green;
    }
  }
}
